### Function

# AppStreamCompose optimize_png

#### Declaration [src]

    gboolean
    asc_optimize_png (
      const gchar* fname,
      GError** error
    )

#### Description [src]

Optimizes a PNG graphic for size with optipng, if its binary is available and this feature is enabled.

#### Parameters

`fname`

  Type: `const gchar*`

  Filename of the PNG image to optimize.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

No description available.